Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.objects
Class SystemObject

    java.lang.Object
      com.sun.mdm.index.objects.ObjectNode
          com.sun.mdm.index.objects.SystemObject

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable

Direct Known Subclasses:
  SBR

public class SystemObject
extends ObjectNode

The SystemObject class represents information sent to the master index from external systems. A system object is a component of an enterprise object, which is made up of one single best record (SBR) and one or more system objects.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ACTION_ADD` Action Add
`static java.lang.String` | `ACTION_MERGE` Action Merge
`static java.lang.String` | `ACTION_REMOVE` Action Remove
`static java.lang.String` | `ACTION_TRANSFER` Action Transfer
`static java.lang.String` | `ACTION_UNMERGE` Action UnMerge
`static java.lang.String` | `ACTION_UPDATE` Action Update
`static java.util.ArrayList` | `mFieldNames` field names
`static java.util.ArrayList` | `mFieldTypes` field types
`static java.lang.String` | `STATUS_ACTIVE` active status
`static java.lang.String` | `STATUS_INACTIVE` inactive status
`static java.lang.String` | `STATUS_MERGED` merged status

Fields inherited from class com.sun.mdm.index.objects.ObjectNode
`indexMap, mChildrenHashMap, mChildTags, mFields, mParent, mParentTag, mPartOfIndex, mPosition, mTag, mVersion, serialVersionUID`

Constructor Summary
`SystemObject()` Creates a new instance of the SystemObject class.
`SystemObject(java.lang.String tag, java.util.ArrayList aux_name_list, java.util.ArrayList aux_type_list)` Creates a new instance of the SystemObject by its object tag, field names, and field types.
`SystemObject(java.lang.String system, java.lang.String lid, java.lang.String childtype, java.lang.String status, java.lang.String createuser, java.lang.String createfunction, java.util.Date createdatetime, java.lang.String updateuser, java.lang.String updatefunction, java.util.Date updatedatetime, ObjectNode obj)` Creates a new instance of the SystemObject class.
`SystemObject(java.lang.String system, java.lang.String lid, java.lang.String childtype, java.lang.String status, java.lang.String createuser, java.lang.String createfunction, java.util.Date createdatetime, java.lang.String updateuser, java.lang.String updatefunction, java.util.Date updatedatetime, ObjectNode obj, boolean flag)` Creates a new instance of the SystemObject class.
`SystemObject(java.lang.String tag, java.lang.String system, java.lang.String lid, java.lang.String childtype, java.lang.String status, java.lang.String createuser, java.lang.String createfunction, java.util.Date createdatetime, java.lang.String updateuser, java.lang.String updatefunction, java.util.Date updatedatetime, ObjectNode obj, java.util.ArrayList aux_name_list, java.util.ArrayList aux_type_list)` Creates a new instance of the SystemObject class.
`SystemObject(java.lang.String tag, java.lang.String system, java.lang.String lid, java.lang.String childtype, java.lang.String status, java.lang.String createuser, java.lang.String createfunction, java.util.Date createdatetime, java.lang.String updateuser, java.lang.String updatefunction, java.util.Date updatedatetime, ObjectNode obj, boolean flag, java.util.ArrayList aux_name_list, java.util.ArrayList aux_type_list)` Creates a new instance of the SystemObject class.

Method Summary
`ObjectNode` | `copy()`
`java.lang.String` | `getChildType()` Retrieves the child type value from an instance of SystemObject.
`java.util.Date` | `getCreateDateTime()` Retrieves the date and time a system object was created.
`java.lang.String` | `getCreateFunction()` Retrieves the type of transaction that created a system object.
`java.lang.String` | `getCreateUser()` Retrieves logon ID of the user who created a system object.
`java.util.ArrayList` | `getFieldNames()` get field names
`java.util.ArrayList` | `getFieldTypes()` get field types
`java.lang.String` | `getLID()` Retrieves the local ID value from an instance of SystemObject.
`ObjectNode` | `getObject()` Retrieves the object node from an instance of SystemObject.
`java.lang.String` | `getStatus()` Retrieves the status value from an instance of SystemObject.
`java.lang.String` | `getSystemCode()` Retrieves the system code value from an instance of SystemObject.
`java.util.Date` | `getUpdateDateTime()` Retrieves the date and time a system object was last updated.
`java.lang.String` | `getUpdateFunction()` Retrieves the type of transaction that updated a system object.
`java.lang.String` | `getUpdateUser()` Retrieves logon ID of the user who updated a system object.
`void` | `setChildType(java.lang.String childtype)` Sets the value of the childType field in an instance of SystemObject.
`void` | `setCreateDateTime(java.util.Date createdatetime)` Sets the value of the createDateTime field in an instance of SystemObject.
`void` | `setCreateFunction(java.lang.String createfunction)` Sets the value of the createFunction field in an instance of SystemObject.
`void` | `setCreateUser(java.lang.String createuser)` Sets the value of the createUser field in an instance of SystemObject.
`void` | `setLID(java.lang.String lid)` Sets the value of the lid field in an instance of SystemObject.
`void` | `setObject(ObjectNode obj)` Sets the object node in an instance of SystemObject.
`void` | `setStatus(java.lang.String status)` Sets the value of the status field in an instance of SystemObject.
`void` | `setSystemCode(java.lang.String system)` Sets the value of the systemCode field in an instance of SystemObject.
`void` | `setUpdateDateTime(java.util.Date updatedatetime)` Sets the value of the updateDateTime field in an instance of SystemObject.
`void` | `setUpdateFunction(java.lang.String updatefunction)` Sets the value of the updateFunction field in an instance of SystemObject.
`void` | `setUpdateUser(java.lang.String updateuser)` Sets the value of the updateUser field in an instance of SystemObject.
`ObjectNode` | `structCopy()`

Methods inherited from class com.sun.mdm.index.objects.ObjectNode
`add, addChild, addChildHard, addChildNoFlagSet, addChildren, addChildToTypeArrayList, clearChildrenForType, clearField, createChildIndex, deleteChild, deleteChild, deleteChild, equals, equals, getAllChildrenFromHashMap, getChild, getChild, getChild, getChild, getChildKey, getChildrenForType, getChildSuperKey, getField, getFlag, getObjectId, getParent, getParentTag, getValue, getValueObject, hasFieldReadAccess, hasFieldUpdateAccess, hashCode, hasObjectAddAccess, hasObjectDeleteAccess, hasObjectReadAccess, hasObjectUpdateAccess, isAdded, isChanged, isKeyChanged, isKeyIndexable, isKeyType, isKeyValid, isNew, isNull, isNullable, isRegularKeyIndexable, isRemoved, isSearched, isUpdated, isVisible, obtainKey, obtainSuperKey, pGetChildren, pGetChildren, pGetChildTags, pGetFieldNames, pGetFields, pGetFieldUpdateLogs, pGetFieldValues, pGetFlagString, pGetKey, pGetSuperKey, pGetTag, pGetType, pGetType, readExternal, recalculateIndex, removeChild, removeChild, removeChildForType, removeChildIndex, removeChildren, removeChildren, reset, resetAll, setAddFlag, setChanged, setFieldReadAccess, setFieldUpdateAccess, setFieldUpdateLogs, setFlag, setKey, setKeyChangeFlag, setKeyType, setNull, setNullable, setObjectAddAccess, setObjectDeleteAccess, setObjectReadAccess, setObjectUpdateAccess, setParent, setRemoveFlag, setSearched, setUpdateFlag, setValue, setVisible, toString, unChange, update, updateChild, updateIfChanged, updateIfNotEqual, updateIfNotNull, updateIfNotNull, writeExternal`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ACTION_ADD

    public static final java.lang.String ACTION_ADD

  Action Add

  See Also:
    Constant Field Values

### ACTION_MERGE

    public static final java.lang.String ACTION_MERGE

  Action Merge

  See Also:
    Constant Field Values

### ACTION_REMOVE

    public static final java.lang.String ACTION_REMOVE

  Action Remove

  See Also:
    Constant Field Values

### ACTION_TRANSFER

    public static final java.lang.String ACTION_TRANSFER

  Action Transfer

  See Also:
    Constant Field Values

### ACTION_UNMERGE

    public static final java.lang.String ACTION_UNMERGE

  Action UnMerge

  See Also:
    Constant Field Values

### ACTION_UPDATE

    public static final java.lang.String ACTION_UPDATE

  Action Update

  See Also:
    Constant Field Values

### mFieldNames

    public static java.util.ArrayList mFieldNames

  field names

### mFieldTypes

    public static java.util.ArrayList mFieldTypes

  field types

### STATUS_ACTIVE

    public static final java.lang.String STATUS_ACTIVE

  active status

  See Also:
    Constant Field Values

### STATUS_INACTIVE

    public static final java.lang.String STATUS_INACTIVE

  inactive status

  See Also:
    Constant Field Values

### STATUS_MERGED

    public static final java.lang.String STATUS_MERGED

  merged status

  See Also:
    Constant Field Values

Constructor Detail

### SystemObject

    public SystemObject()
                 throws ObjectException

  Creates a new instance of the SystemObject class.

  Parameters:
    None.

  Throws:
    `ObjectException` - Thrown if an error occurs while creating the system object.

### SystemObject

    public SystemObject(java.lang.String tag,
                        java.util.ArrayList aux_name_list,
                        java.util.ArrayList aux_type_list)
                 throws ObjectException

  Creates a new instance of the SystemObject by its object tag, field names, and field types.

  Parameters:
    `tag` - The object tag for the system object.
    `aux_name_list` - A list of field names in the system object.
    `aux_type_list` - A list of field types in the system object.
  Throws:
    `ObjectException` - Thrown if an error occurs while creating the system object.

### SystemObject

    public SystemObject(java.lang.String system,
                        java.lang.String lid,
                        java.lang.String childtype,
                        java.lang.String status,
                        java.lang.String createuser,
                        java.lang.String createfunction,
                        java.util.Date createdatetime,
                        java.lang.String updateuser,
                        java.lang.String updatefunction,
                        java.util.Date updatedatetime,
                        ObjectNode obj)
                 throws ObjectException

  Creates a new instance of the SystemObject class.

  Parameters:
    `system` - The processing code of the external system from which the SystemObject information originated.
    `lid` - The local ID generated by the external system for the system object.
    `childtype` - The type of object node contained in the system object.
    `status` - The status of the system object. Possible values are active, inactive, or merged.
    `createuser` - The login ID of the user who created the system object.
    `createfunction` - The type of transaction that created the system object.
    `createdatetime` - The date and time the system object was created.
    `updateuser` - The login ID of the user who updated the system object.
    `updatefunction` - The type of transaction that caused the system object to be updated.
    `updatedatetime` - The date and time the system object was last updated.
    `obj` - An ObjectNode object that contains the data for the system object.
  Throws:
    `ObjectException` - Thrown if an error occurs while creating the system object.

### SystemObject

    public SystemObject(java.lang.String system,
                        java.lang.String lid,
                        java.lang.String childtype,
                        java.lang.String status,
                        java.lang.String createuser,
                        java.lang.String createfunction,
                        java.util.Date createdatetime,
                        java.lang.String updateuser,
                        java.lang.String updatefunction,
                        java.util.Date updatedatetime,
                        ObjectNode obj,
                        boolean flag)
                 throws ObjectException

  Creates a new instance of the SystemObject class. This constructor is for internal use only.

  Parameters:
    `system` - The processing code of the external system from which the SystemObject information originated.
    `lid` - The local ID generated by the external system for the system object.
    `childtype` - The type of object node contained in the system object.
    `status` - The status of the system object. Possible values are active, inactive, or merged.
    `createuser` - The logon ID of the user who created the system object.
    `createfunction` - The type of transaction that created the system object.
    `createdatetime` - The date and time the system object was created.
    `updateuser` - The logon ID of the user who updated the system object.
    `updatefunction` - The type of transaction that caused the system object to be updated.
    `updatedatetime` - The date and time the system object was last updated.
    `obj` - An ObjectNode object that contains the data for the system object.
    `flag` - This parameter is used internally only.
  Throws:
    `ObjectException` - Thrown if an error occurs while creating the system object.

### SystemObject

    public SystemObject(java.lang.String tag,
                        java.lang.String system,
                        java.lang.String lid,
                        java.lang.String childtype,
                        java.lang.String status,
                        java.lang.String createuser,
                        java.lang.String createfunction,
                        java.util.Date createdatetime,
                        java.lang.String updateuser,
                        java.lang.String updatefunction,
                        java.util.Date updatedatetime,
                        ObjectNode obj,
                        java.util.ArrayList aux_name_list,
                        java.util.ArrayList aux_type_list)
                 throws ObjectException

  Creates a new instance of the SystemObject class.

  Parameters:
    `tag` - The object tag of the system object.
    `system` - The processing code of the external system from which the SystemObject information originated.
    `lid` - The local ID generated by the external system for the system object.
    `childtype` - The type of object node contained in the system object.
    `status` - The status of the system object. Possible values are active, inactive, or merged.
    `createuser` - The logon ID of the user who created the system object.
    `createfunction` - The type of transaction that created the system object.
    `createdatetime` - The date and time the system object was created.
    `updateuser` - The logon ID of the user who updated the system object.
    `updatefunction` - The type of transaction that caused the system object to be updated.
    `updatedatetime` - The date and time the system object was last updated.
    `obj` - An ObjectNode object that contains the data for the system object.
    `aux_name_list` - A list of field names in the system object.
    `aux_type_list` - A list of field types in the system object.
  Throws:
    `ObjectException` - Thrown if an error occurs while creating the system object.

### SystemObject

    public SystemObject(java.lang.String tag,
                        java.lang.String system,
                        java.lang.String lid,
                        java.lang.String childtype,
                        java.lang.String status,
                        java.lang.String createuser,
                        java.lang.String createfunction,
                        java.util.Date createdatetime,
                        java.lang.String updateuser,
                        java.lang.String updatefunction,
                        java.util.Date updatedatetime,
                        ObjectNode obj,
                        boolean flag,
                        java.util.ArrayList aux_name_list,
                        java.util.ArrayList aux_type_list)
                 throws ObjectException

  Creates a new instance of the SystemObject class. This constructor is for internal use only.

  Parameters:
    `tag` - The object tag for the system object.
    `system` - The processing code of the external system from which the SystemObject information originated.
    `lid` - The local ID generated by the external system for the system object.
    `childtype` - The type of object node contained in the system object.
    `status` - The status of the system object. Possible values are active, inactive, or merged.
    `createuser` - The logon ID of the user who created the system object.
    `createfunction` - The type of transaction that created the system object.
    `createdatetime` - The date and time the system object was created.
    `updateuser` - The logon ID of the user who updated the system object.
    `updatefunction` - The type of transaction that caused the system object to be updated.
    `updatedatetime` - The date and time the system object was last updated.
    `obj` - An ObjectNode object that contains the data for the system object.
    `flag` - This parameter is used internally only.
    `aux_name_list` - A list of field names in the system object.
    `aux_type_list` - A list of field types in the system object.
  Throws:
    `ObjectException` - Thrown if an error occurs while creating the system object.

Method Detail

### copy

    public ObjectNode copy()
                    throws ObjectException

  Description copied from class: `ObjectNode`
  ObjectNode deep copy

  Overrides:
    `copy` in class `ObjectNode`
  Returns:
    ObjectNode copy
  Throws:
    `ObjectException` - object exception

### getChildType

    public java.lang.String getChildType()
                                  throws ObjectException

  Retrieves the child type value from an instance of SystemObject.

  Parameters:
    None.

  Returns:
    `String` - The value of the childType field.
  Throws:
    `ObjectException` - Thrown if an error occurs while retrieving the field value.

### getCreateDateTime

    public java.util.Date getCreateDateTime()
                                     throws ObjectException

  Retrieves the date and time a system object was created.

  Parameters:
    None.

  Returns:
    `Date` - The value of the createDateTime field.
  Throws:
    `ObjectException` - Thrown if an error occurs while retrieving the field value.

### getCreateFunction

    public java.lang.String getCreateFunction()
                                       throws ObjectException

  Retrieves the type of transaction that created a system object.

  Parameters:
    None.

  Returns:
    `String` - The value of the createFunction field.
  Throws:
    `ObjectException` - Thrown if an error occurs while retrieving the field value.

### getCreateUser

    public java.lang.String getCreateUser()
                                   throws ObjectException

  Retrieves logon ID of the user who created a system object.

  Parameters:
    None.

  Returns:
    `String` - The value of the createUser field.
  Throws:
    `ObjectException` - Thrown if an error occurs while retrieving the field value.

### getFieldNames

    public java.util.ArrayList getFieldNames()

  get field names

  Returns:
    ArrayList list

### getFieldTypes

    public java.util.ArrayList getFieldTypes()

  get field types

  Overrides:
    `getFieldTypes` in class `ObjectNode`
  Returns:
    ArrayList list

### getLID

    public java.lang.String getLID()
                            throws ObjectException

  Retrieves the local ID value from an instance of SystemObject.

  Parameters:
    None.

  Returns:
    `String` - The value of the lid field.
  Throws:
    `ObjectException` - Thrown if an error occurs while retrieving the field value.

### getObject

    public ObjectNode getObject()

  Retrieves the object node from an instance of SystemObject.

  Parameters:
    None.

  Returns:
    `ObjectNode` - An object containing the data in a system object.
  Throws:
    None.

### getStatus

    public java.lang.String getStatus()
                               throws ObjectException

  Retrieves the status value from an instance of SystemObject.

  Parameters:
    None.

  Returns:
    `String` - The value of the status field.
  Throws:
    `ObjectException` - Thrown if an error occurs while retrieving the field value.

### getSystemCode

    public java.lang.String getSystemCode()
                                   throws ObjectException

  Retrieves the system code value from an instance of SystemObject.

  Parameters:
    None.

  Returns:
    `String` - The value of the systemCode field.
  Throws:
    `ObjectException` - Thrown if an error occurs while retrieving the field value.

### getUpdateDateTime

    public java.util.Date getUpdateDateTime()
                                     throws ObjectException

  Retrieves the date and time a system object was last updated.

  Parameters:
    None.

  Returns:
    `Date` - The value of the updateDateTime field.
  Throws:
    `ObjectException` - Thrown if an error occurs while retrieving the field value.

### getUpdateFunction

    public java.lang.String getUpdateFunction()
                                       throws ObjectException

  Retrieves the type of transaction that updated a system object.

  Parameters:
    None.

  Returns:
    `String` - The value of the updateFunction field.
  Throws:
    `ObjectException` - Thrown if an error occurs while retrieving the field value.

### getUpdateUser

    public java.lang.String getUpdateUser()
                                   throws ObjectException

  Retrieves logon ID of the user who updated a system object.

  Parameters:
    None.

  Returns:
    `String` - The value of the updateUser field.
  Throws:
    `ObjectException` - Thrown if an error occurs while retrieving the field value.

### setChildType

    public void setChildType(java.lang.String childtype)
                      throws ObjectException

  Sets the value of the childType field in an instance of SystemObject.

  Parameters:
    `childtype` - The child type (or object type) of the system object.
  Returns:
    `void` - None.
  Throws:
    `ObjectException` - Thrown if an error occurs while setting the field value.

### setCreateDateTime

    public void setCreateDateTime(java.util.Date createdatetime)
                           throws ObjectException

  Sets the value of the createDateTime field in an instance of SystemObject.

  Parameters:
    `createdatetime` - The date and time the system object was created.
  Returns:
    `void` - None.
  Throws:
    `ObjectException` - Thrown if an error occurs while setting the field value.

### setCreateFunction

    public void setCreateFunction(java.lang.String createfunction)
                           throws ObjectException

  Sets the value of the createFunction field in an instance of SystemObject.

  Parameters:
    `createfunction` - The type of transaction that created the system object.
  Returns:
    `void` - None.
  Throws:
    `ObjectException` - Thrown if an error occurs while setting the field value.

### setCreateUser

    public void setCreateUser(java.lang.String createuser)
                       throws ObjectException

  Sets the value of the createUser field in an instance of SystemObject.

  Parameters:
    `createuser` - The logon ID of the user who created the system object.
  Returns:
    `void` - None.
  Throws:
    `ObjectException` - Thrown if an error occurs while setting the field value.

### setLID

    public void setLID(java.lang.String lid)
                throws ObjectException

  Sets the value of the lid field in an instance of SystemObject.

  Parameters:
    `lid` - The local ID of the system object.
  Returns:
    `void` - None.
  Throws:
    `ObjectException` - Thrown if an error occurs while setting the field value.

### setObject

    public void setObject(ObjectNode obj)
                   throws ObjectException

  Sets the object node in an instance of SystemObject. You must call setChildType prior to calling setObject.

  Parameters:
    `obj` - The object node of the system object.
  Returns:
    `void` - None.
  Throws:
    `ObjectException` - Thrown if an error occurs while setting the field value.

### setStatus

    public void setStatus(java.lang.String status)
                   throws ObjectException

  Sets the value of the status field in an instance of SystemObject.

  Parameters:
    `status` - The status of the system object. Possible values are active, inactive, or merged.
  Returns:
    `void` - None.
  Throws:
    `ObjectException` - Thrown if an error occurs while setting the field value.

### setSystemCode

    public void setSystemCode(java.lang.String system)
                       throws ObjectException

  Sets the value of the systemCode field in an instance of SystemObject.

  Parameters:
    `system` - The processing code of the system that created the system object.
  Returns:
    `void` - None.
  Throws:
    `ObjectException` - Thrown if an error occurs while setting the field value.

### setUpdateDateTime

    public void setUpdateDateTime(java.util.Date updatedatetime)
                           throws ObjectException

  Sets the value of the updateDateTime field in an instance of SystemObject.

  Parameters:
    `updatedatetime` - The date and time the system object was last updated.
  Returns:
    `void` - None.
  Throws:
    `ObjectException` - Thrown if an error occurs while setting the field value.

### setUpdateFunction

    public void setUpdateFunction(java.lang.String updatefunction)
                           throws ObjectException

  Sets the value of the updateFunction field in an instance of SystemObject.

  Parameters:
    `updatefunction` - The type of transaction that updated the system object.
  Returns:
    `void` - None.
  Throws:
    `ObjectException` - Thrown if an error occurs while setting the field value.

### setUpdateUser

    public void setUpdateUser(java.lang.String updateuser)
                       throws ObjectException

  Sets the value of the updateUser field in an instance of SystemObject.

  Parameters:
    `updateuser` - The logon ID of the user who last updated the system object.
  Returns:
    `void` - None.
  Throws:
    `ObjectException` - Thrown if an error occurs while setting the field value.

### structCopy

    public ObjectNode structCopy()
                          throws ObjectException

  Description copied from class: `ObjectNode`
  ObjectNode structural copy

  Overrides:
    `structCopy` in class `ObjectNode`
  Returns:
    ObjectNode structure copy
  Throws:
    `ObjectException` - object exception

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.